@font-face {
    font-family: "PlusJakartaSans";
    src: url('fonts/PlusJakartaSans-Bold.woff2') format('woff2'),
        url('fonts/PlusJakartaSans-Bold.woff') format('woff');
    font-weight: bold;
    font-style: bold;
}

@font-face {
    font-family: "PlusJakartaSans";
    src: url('fonts/PlusJakartaSans-Regular.woff2') format('woff2'),
        url('fonts/PlusJakartaSans-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

html {
    box-sizing: border-box;
    appearance: none;
    -webkit-appearance: none;
}

*,
*:after,
*:before {
    box-sizing: border-box;
}


body {

    font-family: 'PlusJakartaSans';
    max-width: 100%;
    /* margin-right: 0; */
    -webkit-text-size-adjust: none;
    text-size-adjust: none;
    min-height: 100vh;
    max-height: 100vh;
    overflow-y: hidden;
    background-color: #fbfbfb;
    font-size: 10pt;
}



/* scrollbar styling */
/* Works on Firefox */
* {
    scrollbar-width: thin;
    scrollbar-color: transparent transparent;
}

/* Works on Chrome, Edge, and Safari */
*::-webkit-scrollbar {
    width: 0px;
}

*::-webkit-scrollbar-track {
    background: transparent;
}

*::-webkit-scrollbar-thumb {
    background-color: transparent;
    border-radius: 20px;
    border: 3px solid transparent;
}


.titel {

    display: flex;
    align-content: space-between;
    justify-content: space-between;
    flex-direction: row;
    font-family: 'PlusJakartaSans';
    font-size: 20pt;

    /* z-index: 0; */

    /* padding-bottom: 5px;
    padding-top: 5px; */
    /* font-weight: normal; */
    /* color: royalblue; */
    color: #000;

    /* box-shadow: 0px 5px 10px -10px black; */

    animation: title 4s;
    -webkit-animation: title 4s;
    -moz-animation: title 4s;
    -o-animation: title 4s;
    -ms-animation: title 4s;
}

@keyframes title {
    0% {
        /* box-shadow: 0px 0px 0px 0px black; */
        font-size: 10vw;
        margin-top: 40vh;
    }

    50% {
        /* box-shadow: 0px 0px 0px 0px black; */
        font-size: 10vw;
        margin-top: 40vh;
    }

    100% {
        /* box-shadow: 0px 5px 10px -10px black; */
        font-size: 20pt;
        margin-top: 0vh;
    }
}

@-moz-keyframes title {
    0% {
        /* box-shadow: 0px 0px 0px 0px black; */
        font-size: 10vw;
        margin-top: 40vh;
    }

    50% {
        /* box-shadow: 0px 0px 0px 0px black; */
        font-size: 10vw;
        margin-top: 40vh;
    }

    100% {
        /* box-shadow: 0px 5px 10px -10px black; */
        font-size: 20pt;
        margin-top: 0vh;
    }
}

@-webkit-keyframes title {
    0% {
        /* box-shadow: 0px 0px 0px 0px black; */
        font-size: 10vw;
        margin-top: 40vh;
    }

    50% {
        /* box-shadow: 0px 0px 0px 0px black; */
        font-size: 10vw;
        margin-top: 40vh;
    }

    100% {
        /* box-shadow: 0px 5px 10px -10px black; */
        font-size: 20pt;
        margin-top: 0vh;
    }
}

@-o-keyframes title {
    0% {
        /* box-shadow: 0px 0px 0px 0px black; */
        font-size: 10vw;
        margin-top: 40vh;
    }

    50% {
        /* box-shadow: 0px 0px 0px 0px black; */
        font-size: 10vw;
        margin-top: 40vh;
    }

    100% {
        /* box-shadow: 0px 5px 10px -10px black; */
        font-size: 20pt;
        margin-top: 0vh;
    }
}

@-ms-keyframes title {
    0% {
        /* box-shadow: 0px 0px 0px 0px black; */
        font-size: 10vw;
        margin-top: 40vh;
    }

    50% {
        /* box-shadow: 0px 0px 0px 0px black; */
        font-size: 10vw;
        margin-top: 40vh;
    }

    100% {
        /* box-shadow: 0px 5px 10px -10px black; */
        font-size: 20pt;
        margin-top: 0vh;
    }

}


.carousel {
    width: 100%;
    height: max-content;
    padding-right: 7%;
    padding-left: 7%;
}

.carousel__image {
    display: block;
    max-height: 60vh;
    min-height: 500px;
    margin-right: 10px;
    margin-top: 10px;
    margin-bottom: 10px;
    /* top: 50%;
    transform: translateY(-50%);
    translate: 0% -50%;
    -webkit-translate: 0% -50%;
    -webkit-transform: -webkit-translateY (-50%); */


}

.flickity-button {
    background-color: transparent;

}

.flickity-page-dots {
    background: transparent;
    display: none;
}

.flickity-prev-next-button.previous {
    background-color: transparent;

}

.flickity-prev-next-button.next {
    background-color: transparent;

}

/* hide disabled button */
.flickity-button:disabled {
    display: none;
}

.arrow {
    /* fill:royalblue;  */
    fill: white;
    cursor: pointer;
    /* background-color: transparent; */
}

.arrow.black {
    fill: black;
}


.nav_title {
    display: flex;
    align-content: flex-start;
    justify-content: space-between;
    flex-direction: row;
    font-family: 'PlusJakartaSans';
    font-size: 8pt;
    padding-bottom: 5px;
    padding-top: 5px;
    padding-left: 10px;

    position: relative;
    z-index: 1;
    /* padding-right: 47%; */
    color: #000;
    text-align: center;
    /* box-shadow: 0px 5px 10px -10px black; */
    box-shadow: 0px 5px 10px -10px rgb(0, 16, 64);
}

.divider {
    min-width: 50px;
}

/* Style the button that is used to open and close the collapsible content */
.collapsible {
    /* background-color: white; */
    background-color: transparent;
    cursor: pointer;
    padding: 10px;
    padding-bottom: 2px;
    width: 100%;
    text-align: left;
    font-size: 11pt;
    color: black;

    transition-duration: 200ms;

    font-family: 'PlusJakartaSans';
    transition-duration: 20ms;
    border-bottom-color: black;
    border-top-style: hidden;
    border-right-style: hidden;
    border-left-style: hidden;
    border-bottom-style: hidden;
    border-bottom-width: 2px;

}

/* Style the button that is used to open and close the collapsible content, this one is for the categories */
.collapsible.category {
    background-color: transparent;
    padding: 10px;
    padding-right: 15px;
    cursor: pointer;
    width: 100%;
    text-align: center;
    /* font-size: 15px; */
    font-family: 'PlusJakartaSans';
    /* font-weight: bold; */
    color: #000;
    /* letter-spacing: normal; */
    /* border-bottom-color: black;
    border-top-style: hidden;
    border-right-style: hidden;
    border-left-style: hidden; */
    /* border-bottom-style: solid; */
    /* box-shadow: 0px 5px 20px -4px #000000; */
    border-bottom-width: 2px;
    /* border-color: #000; */
    /* border-width: 2px; */

    /* animation: category 4s;
    -webkit-animation: category 4s;
    -moz-animation: category 4s;
    -o-animation: category 4s;
    -ms-animation: category 4s; */
}

@keyframes category {
    0% {
        padding: 0px;
        padding-right: 15px;
    }

    50% {
        padding: 0px;
        padding-right: 15px;
    }

    100% {
        padding: 10px;
        padding-right: 15px;
    }
}

@-moz-keyframes category {
    0% {
        padding: 0px;
        padding-right: 15px;
    }

    50% {
        padding: 0px;
        padding-right: 15px;
    }

    100% {
        padding: 10px;
        padding-right: 15px;
    }
}

@-webkit-keyframes category {
    0% {
        padding: 0px;
        padding-right: 15px;
    }

    50% {
        padding: 0px;
        padding-right: 15px;
    }

    100% {
        padding: 10px;
        padding-right: 15px;
    }
}

@-o-keyframes category {
    0% {
        padding: 0px;
        padding-right: 15px;
    }

    50% {
        padding: 0px;
        padding-right: 15px;
    }

    100% {
        padding: 10px;
        padding-right: 15px;
    }
}

@-ms-keyframes category {
    0% {
        padding: 0px;
        padding-right: 15px;
    }

    50% {
        padding: 0px;
        padding-right: 15px;
    }

    100% {
        padding: 10px;
        padding-right: 15px;
    }

}

.collapsible.open {
    /* box-shadow: 0px 5px 10px -9px black; */
    transition-duration: 100ms;
}

.collapsible.category.open {
    transition-duration: 200ms;
    letter-spacing: 1em;
    /* box-shadow: 0px 5px 20px -4px black; */
}

.collapsible:hover {
    transition-duration: 100ms;
    padding-right: 15px;
    letter-spacing: 1px;
    /* border-bottom-color: white; */
    background-position: 0 100%;
    background-repeat: repeat;
}
/* classes to change bg image on hover of categories */
/* .btn-1:hover~.bg_image { 
    background-image: url("pics/category_overlays/render_1.png");
    
}

.btn-2:hover~.bg_image {
    background-image: url("pics/category_overlays/Food_3_2_3.png");
}

.btn-3:hover~.bg_image {
    background-image: url("pics/category_overlays/cubes_render_1.png");
}

.btn-4:hover~.bg_image {
    background-image: url("pics/category_overlays/overlay_illustration.jpeg");
} */

.bg_image {
    /* position: absolute; */

    position: fixed; /* Fixed to the viewport */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: 1s;
    z-index: -1;
    background-position: center;
    /* Center the image */
    background-repeat: no-repeat;
    /* Do not repeat the image */
    background-size: cover;
    /* Resize the background image to cover the entire container */
    pointer-events: none;
}

.content.category {
    background-color: transparent;
    transition: max-height 1s ease-out;
    display: none;
    border-bottom: hidden;
    border-width: 2px;
    width: 100%;

}

.content {
    background-color: rgba(220, 220, 220, 255);
    display: none;
    overflow: hidden;
    transition: max-height 1s ease-out;
    /* border-bottom: solid; */
    border-width: 2px;
    border-radius: 3px;
    width: 100%;
}



.texte {
    /* position: absolute; */
    background-color: white;
    display: block;
    /* font-size: 15px; */
    font-family: 'PlusJakartaSans';
    height: 60vh;


    overflow: scroll;
    border-radius: 3px;

    z-index: 1;
    width: 25vw;
    margin-right: 10px;
    margin-top: 10px;
    margin-bottom: 10px;

    padding: 10px;

    font-size: 11pt;

    min-width: 300px;
    min-height: 500px;
}

.link {

    /* font-size: 15px; */
    font-family: 'PlusJakartaSans';
    color: inherit;
    text-decoration-thickness: 1.5px;
    pointer-events: all;

}

.link:hover {

    /* font-size: 15px; */
    font-family: 'PlusJakartaSans';
    color: royalblue;
    text-decoration-line: underline;
    text-decoration-thickness: 2px;
}

.texte__info {

    display: block;
    /* font-size: 15px; */
    font-family: 'PlusJakartaSans';
    height: 60vh;
    margin-right: 10px;
    margin-top: 10px;
    margin-bottom: 10px;
    z-index: 1;
    width: 20vw;
    margin-top: 10px;
    margin-bottom: 10px;
    min-width: 260px;
    min-height: 500px;


}



.video {

    display: flex;
    justify-content: space-around;
    align-content: flex-start;
    margin: 10px;


}

/* iframe styling */
.iframe_container {
    position: relative;
    justify-content: space-around;
    align-content: flex-start;
    overflow: hidden;
    width: 100%;
    padding-top: 56.25%;
    /* 16:9 Aspect Ratio (divide 9 by 16 = 0.5625) */
}

.responsive_iframe {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
}


.einzug {

    margin-top: 0px;
    display: flex;
    align-items: stretch;
    justify-content: space-evenly;
    flex-flow: row;
    height: max-content;
}

.links {
    /* flex: 0.5; */
    width: 350px;
    height: 90vh;
    overflow: hidden;
    /* width: 30%; */
    position: relative;
    transition-duration: 2s;
    /* pointer-events: none; */

}

.links_image {
    display: flex;
    position: relative;
    justify-content: space-around;
    z-index: -2;
    /* display: block; */
    width: 100%;
    /* height: 100px; */
}


.texte_links {
    width: 100%;
    font-size: 11pt;
    font-weight: normal;
    margin-top: 24px;
    padding-right: 10px;
    padding-left: 2px;
    pointer-events: none;
}

.links_button {


    width: 23px;
    background-color: transparent;

    border: hidden;

    margin-top: 4px;
    margin-left: -25px;
    rotate: 0deg;
    display: block;
    transition-duration: 1s;
    position: relative;

}

.pressed {

    margin-left: 5px;
    rotate: 180deg;
    transition-duration: 1s;
}

.rechts_wrapper {
    flex: 1;
    height: max-content;
    flex-flow: column;
}

.rechts {

    flex: 1;
    max-height: calc(100vh - 110px);
    overflow-y: scroll;
    overflow-x: auto;
    /* border-top: solid 2px; */

}



.line {
    min-height: 100vh;
    border-right: solid;
    border-width: 2px;
    border-color: black;
}

.linesize {

    height: 100%;

}



.fade-in {
    animation: fadeIn 4s;
    -webkit-animation: fadeIn 4s;
    -moz-animation: fadeIn 4s;
    -o-animation: fadeIn 4s;
    -ms-animation: fadeIn 4s;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@-moz-keyframes fadeIn {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@-webkit-keyframes fadeIn {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@-o-keyframes fadeIn {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@-ms-keyframes fadeIn {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}




.coverlift {

    background-color: black;

    width: 110vw;
    height: 110vh;
    bottom: -10px;
    left: -10px;

    position: fixed;
    color: black;
    z-index: 2;
    pointer-events: none;

}

#coverlift {

    opacity: 1;
    transition-duration: 4s;


}

.countup {
    text-align: left;
}

.countup .timeel {
    font-family: 'PlusJakartaSans';
    /* font-size: 15px; */
    margin-right: 4px;
    margin-left: 4px;
}


.svg {
    max-height: 100vh;
    stroke: white;
    stroke-miterlimit: 10;
    fill: none;
    z-index: 5;
    display: flex;
    position: relative;
}

@media only screen and (max-width: 610px) {

    .links,
    .line {
        transition-duration: 1s;
        display: none;
    }

    #links_button {

        display: none;
    }


    .carousel {
        padding-right: 0%;
        padding-left: 0%;
    }



}

@media only screen and (max-width: 720px) {
    .flickity-prev-next-button.next {
        display: none;
    }

    .flickity-prev-next-button.flickity-prev-next-button.previous {
        display: none;
    }

}

@media only screen and (min-width: 1200px) {

    /* .links { width: 20%;} */
    .carousel {

        padding-right: 4%;
        padding-left: 4%;
    }

}

@media only screen and (min-width: 1400px) {

    /* .links { width: 15%; } */
    .carousel__image {

        max-height: 80vh;
        height: 80vh;

    }

    .texte,
    .texte__info {

        height: 80vh;

    }


}